import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class ChartsXAxisTitle extends StatelessWidget {
  const ChartsXAxisTitle({
    this.label = 'Day of month',
    super.key,
  });

  final String label;

  @override
  Widget build(BuildContext context) {
    return Text(
      label,
      style: context.textTheme.bodySmall?.copyWith(
        color: ColorsManager.lightGreyColor,
        fontSize: 8,
      ),
    );
  }
}
